net.sf.jasperreports.crosstabs.xml

## Class JRCrosstabRowGroupFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory
    - - net.sf.jasperreports.crosstabs.xml.JRCrosstabRowGroupFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRCrosstabRowGroupFactory
      extends JRCrosstabGroupFactory

  Version:
    $Id: JRCrosstabRowGroupFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_headerPosition`
    `static java.lang.String` | `ATTRIBUTE_width`
    `static java.lang.String` | `ELEMENT_crosstabRowHeader`
    `static java.lang.String` | `ELEMENT_crosstabTotalRowHeader`
    `static java.lang.String` | `ELEMENT_rowGroup`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory

      `ATTRIBUTE_name, ATTRIBUTE_totalPosition, ELEMENT_columnGroup, ELEMENT_crosstabColumnHeader, ELEMENT_crosstabTotalColumnHeader`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabRowGroupFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory

      `setGroupAtts`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_rowGroup

          public static final java.lang.String ELEMENT_rowGroup

      See Also:
        Constant Field Values

    - #### ELEMENT_crosstabRowHeader

          public static final java.lang.String ELEMENT_crosstabRowHeader

      See Also:
        Constant Field Values

    - #### ELEMENT_crosstabTotalRowHeader

          public static final java.lang.String ELEMENT_crosstabTotalRowHeader

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_width

          public static final java.lang.String ATTRIBUTE_width

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_headerPosition

          public static final java.lang.String ATTRIBUTE_headerPosition

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCrosstabRowGroupFactory

          public JRCrosstabRowGroupFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes attributes)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com